<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--
  - Copyright 2008-2010 Matus Chochlik. Distributed under the Boost
  - Software License, Version 1.0. (See accompanying file
  - LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
  -->

  <!-- template for transforming the documented namespaces -->
  <xsl:template name="process_namespace">
    <xsl:variable
      name="nesting_depth"
      select="(string-length(compoundname)-string-length(translate(compoundname,':',''))) div 2"
    />
    <xsl:choose>
      <xsl:when test="$nesting_depth = 0">
        <xsl:value-of select="$macro_prefix"/>
        <xsl:text>MIRROR_QREG_GLOBAL_SCOPE_NAMESPACE(</xsl:text>
          <xsl:value-of select="compoundname"/>
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="$nesting_depth = 1">
        <xsl:value-of select="$macro_prefix"/>
        <xsl:text>MIRROR_QREG_NESTED_NAMESPACE(</xsl:text>
          <xsl:call-template name="nested_name_head">
            <xsl:with-param name="full_name" select="compoundname"/>
            <xsl:with-param name="depth" select="1"/>
          </xsl:call-template>
          <xsl:text>, </xsl:text>
          <xsl:call-template name="nested_name_tail">
            <xsl:with-param name="full_name" select="compoundname"/>
            <xsl:with-param name="depth" select="1"/>
          </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:when>
       <xsl:when test="$nesting_depth = 2">
        <xsl:value-of select="$macro_prefix"/>
        <xsl:text>MIRROR_QREG_NESTED_NESTED_NAMESPACE(</xsl:text>
          <xsl:call-template name="nested_name_head">
            <xsl:with-param name="full_name" select="compoundname"/>
            <xsl:with-param name="depth" select="1"/>
          </xsl:call-template>
          <xsl:text>, </xsl:text>
          <xsl:call-template name="nested_name_mid">
            <xsl:with-param name="full_name" select="compoundname"/>
            <xsl:with-param name="depth_from" select="1"/>
            <xsl:with-param name="depth_to" select="2"/>
          </xsl:call-template>
          <xsl:text>, </xsl:text>
          <xsl:call-template name="nested_name_tail">
            <xsl:with-param name="full_name" select="compoundname"/>
            <xsl:with-param name="depth" select="2"/>
          </xsl:call-template>
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>
    <xsl:call-template name="newline"/>
  </xsl:template>

</xsl:stylesheet>
