#!/bin/bash
#
# make the short text manual
(
	cd man/src &&
	groff -Tascii -man ./maureen.usage.man \
	> ../../src/maureen-module/maureen.txt
)
git add ./src/maureen-module/maureen.txt
#
# make the full gzipped manual
(
	cd man/src &&
	cat maureen.man |
	while read line
	do
		if [ -f "${line#.so }" ]
		then cat "${line#.so }"
		else echo "${line}"
		fi
	done |
	gzip -9 - > ../man1/maureen.1.gz
)
git add ./man/man1/maureen.1.gz
#
# make the pdf manual
(
	cd man/src &&
	groff -T ps -man ./maureen.man |
	ps2pdf - > ../doc/maureen/manual.pdf
)
git add ./man/doc/maureen/manual.pdf
